## org.apache.batik.ext.awt.image.renderable
Interface GaussianBlurRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  GaussianBlurRable8Bit

public interface GaussianBlurRable
extends FilterColorInterpolation

Implements a GaussianBlur operation, where the blur size is defined by standard deviations along the x and y axis.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` `getSource()` Returns the source to be Blurred
`double` `getStdDeviationX()` Returns the deviation along the x-axis, in user space.
`double` `getStdDeviationY()` Returns the deviation along the y-axis, in user space.
`void` `setSource(Filter src)` Sets the source to be blurred.
`void` `setStdDeviationX(double stdDeviationX)` The deviation along the x axis, in user space.
`void` `setStdDeviationY(double stdDeviationY)` The deviation along the y axis, in user space.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be Blurred

### setSource

    public void setSource(Filter src)

  Sets the source to be blurred.

  Parameters:
    `src` - image to blurred.

### setStdDeviationX

    public void setStdDeviationX(double stdDeviationX)

  The deviation along the x axis, in user space.

  Parameters:
    `stdDeviationX` - should be greater than zero.

### setStdDeviationY

    public void setStdDeviationY(double stdDeviationY)

  The deviation along the y axis, in user space.

  Parameters:
    `stdDeviationY` - should be greater than zero

### getStdDeviationX

    public double getStdDeviationX()

  Returns the deviation along the x-axis, in user space.

### getStdDeviationY

    public double getStdDeviationY()

  Returns the deviation along the y-axis, in user space.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.